summaryrefslogtreecommitdiffstats
path: root/resources/utilities/coreboot-libre/findblobs
diff options
context:
space:
mode:
Diffstat (limited to 'resources/utilities/coreboot-libre/findblobs')
-rwxr-xr-xresources/utilities/coreboot-libre/findblobs40
1 files changed, 40 insertions, 0 deletions
diff --git a/resources/utilities/coreboot-libre/findblobs b/resources/utilities/coreboot-libre/findblobs
new file mode 100755
index 0000000..0d3027a
--- /dev/null
+++ b/resources/utilities/coreboot-libre/findblobs
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+set -e
+
+# This is used when updating the version of
+# coreboot that libreboot uses, to know what
+# new blobs have landed in coreboot
+
+# full deblob scripts based on linux-libre
+# will replace this script later on. For now,
+# this will have to do.
+
+echo "finding blobs in coreboot..."
+
+cp deblob-check ../../../coreboot
+cd ../../../coreboot/
+
+chmod +x deblob-check
+find -type f | xargs ./deblob-check > blobs
+rm -f deblob-check
+
+rm -f tocheck
+touch tocheck
+
+for file in $(cat blobs)
+do
+ if ! grep -Fxq "$file" ../resources/utilities/coreboot-libre/nonblobs
+ then
+ echo "$file" >> tocheck
+ fi
+done
+rm -f blobs
+
+rm -f ../resources/utilities/coreboot-libre/tocheck
+mv tocheck ../resources/utilities/coreboot-libre
+
+cd ../resources/utilities/coreboot-libre
+
+echo "open resources/utilities/coreboot-libre/tocheck in an editor"
+echo "this will contain the names of the files that you must decide whether they are blobs or not"